﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Controls.Charts;
using Infragistics.Windows.Helpers;
using Infragistics.Windows;

namespace WpfApplication135
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        NumericXAxis xmXaxis = null;
        NumericYAxis xmYaxis = null;
        ObservableCollection<Scatter> scatterpoints = new ObservableCollection<Scatter>();
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            Scatter s = new Scatter() { X = 10, Y = 5 };
            Scatter s1 = new Scatter() { X = 15, Y = 20 };
            Scatter s2 = new Scatter() { X = 5, Y = 35 };

            scatterpoints.Add(s);
            scatterpoints.Add(s1);
            scatterpoints.Add(s2);

            xmXaxis = new NumericXAxis();

            xmXaxis.MinimumValue = 0;
            xmXaxis.MaximumValue = 55;

            xmXaxis.LabelSettings.Location = AxisLabelsLocation.OutsideBottom;

            xmYaxis = new NumericYAxis();
            xmYaxis.LabelSettings.Location = AxisLabelsLocation.OutsideLeft;
            xmYaxis.MinimumValue = 0;
            xmYaxis.MaximumValue = 55;

            ScatterSeries ss = new ScatterSeries();
            ss.XMemberPath = "Y";
            ss.YMemberPath = "X";

            ss.XAxis = xmXaxis;
            ss.YAxis = xmYaxis;
            ss.MarkerType = MarkerType.Circle;

            ss.ItemsSource = scatterpoints;

            xamdatachart.Axes.Add(xmXaxis);
            xamdatachart.Axes.Add(xmYaxis);
            xamdatachart.Series.Add(ss);
            
            xamdatachart.PreviewMouseRightButtonDown += new MouseButtonEventHandler(xamdatachart_PreviewMouseRightButtonDown);
            xamdatachart.SeriesMouseLeftButtonDown += new DataChartMouseButtonEventHandler(xamdatachart_SeriesMouseLeftButtonDown);

        }

        void xamdatachart_SeriesMouseLeftButtonDown(object sender, DataChartMouseButtonEventArgs e)
        {
            //throw new NotImplementedException();
            if (e.Item is Scatter)
            {
                Scatter sc = (Scatter)e.Item;

            }
        }

        void xamdatachart_PreviewMouseRightButtonDown(object sender, MouseButtonEventArgs e)
        {
          //  throw new NotImplementedException();
            Marker marker = Utilities.GetAncestorFromType(e.OriginalSource as DependencyObject, typeof(Marker), false) as Marker;
            if (marker != null)
            {

                double mwidth = 50.00;
               marker.SetValue(Marker.WidthProperty, mwidth);
               marker.SetValue(Marker.HeightProperty,mwidth);
                   
                //marker.SetValue(Marker.HeightProperty, 100);
                
              //  marker.Height += 15;
                //  var data = ((e.OriginalSource as FrameworkElement).DataContext as Infragistics.Controls.Charts.DataContext).Item;
            }
        }

        private void addpts_Click(object sender, RoutedEventArgs e)
        {
            Scatter s = new Scatter() { X = 0, Y = 10 };
            Scatter s1 = new Scatter() { X = 0, Y = 25 };
            Scatter s2 = new Scatter() { X = 0, Y = 30 };

            ObservableCollection<Scatter> Xscatterpoints = new ObservableCollection<Scatter>();

            Xscatterpoints.Add(s);
            Xscatterpoints.Add(s1);
            Xscatterpoints.Add(s2);

            ScatterSeries ss = new ScatterSeries();
            ss.XMemberPath = "Y";
            ss.YMemberPath = "X";

            ss.XAxis = xmXaxis;
            ss.YAxis = xmYaxis;
            ss.MarkerType = MarkerType.Square;

            ss.ItemsSource = Xscatterpoints;

            //xamdatachart.Axes.Add(xmXaxis);
            //xamdatachart.Axes.Add(xmYaxis);
            xamdatachart.Series.Add(ss);
            
        }

        
    }
}
